<?php

/**
 * @file 
 * Provides default plugin type objects.
 * @author Tj Holowaychuk <http://www.350designs.com/>
 * @package Editor
 */

/**
 * Default plugin types.
 */
function editor_editor_plugin_types() {
  $plugin_types = array();
  
  $plugin_types[] = editor_plugin_type_create('button', t('Button'), 'editor_button', t('A simple button.'));
  $plugin_types[] = editor_plugin_type_create('hidden', t('Hidden'), NULL, t('A hidden plugin which can be used as event listeners or to extend other plugins.'));
  
  return $plugin_types;
}

/**
 * Theme a button plugin type.
 * 
 * @param object $plugin
 * 
 * @return string
 *   Markup.
 */
function theme_editor_button($plugin) { 
  return '
      <div id="editor-' . $plugin->pid . '" class="editor-plugin editor-button">
      </div>
    ';
}